%define prever rc3

Name:           openlierox
# Because we downgraded from 0.59 to 0.58 as 0.59 never became stable
Epoch:          1
Version:        0.58
Release:        0.10.%{prever}%{?dist}
Summary:        Addictive realtime multiplayer 2D shoot-em-up
Group:          Amusements/Games
License:        LGPLv2+
URL:            http://openlierox.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/OpenLieroX_%{version}_%{prever}.src.tar.bz2
Source1:        %{name}.desktop
Source2:        README.fedora
Patch0:         openlierox-0.58-new-curl.patch
Patch1:         openlierox-0.58-gcc6.patch
BuildRequires:  SDL_mixer-devel SDL_image-devel gd-devel
BuildRequires:  libxml2-devel hawknl-devel zlib-devel desktop-file-utils
BuildRequires:  libzip-devel curl-devel binutils-devel cmake
# rhbz#818911
BuildRequires:  binutils-static
Requires:       hicolor-icon-theme
# for people who try to install this using upstream capitalization
Provides:       OpenLieroX = %{version}-%{release}

%description
OpenLierox is an extremely addictive realtime multiplayer 2D shoot-em-up
backed by an active gamers community. Dozens of levels and mods are available
to provide endless gaming pleasure.


%prep
%setup -q -n OpenLieroX
%patch0 -p1
%patch1 -p1
sed -i 's/\r//g' doc/original_lx_docs/*.*
cp -a %{SOURCE2} .
# Remove bundled libs to ensure they are not used
for i in libs/*; do
    if [ "$i" = "libs/pstreams" -o "$i" = "libs/linenoise" ]; then
        # Except for the pstreams and linenoise copylibs
        continue
    fi
    rm -r "$i"
done
# Remove execute permissions from various data files
find -type f -print0 | xargs -0 chmod -x
# Make rpmlint happy
chmod +x share/gamedir/scripts/* share/gamedir/scripts/presets/*
chmod -x share/gamedir/scripts/simple_ded_control.php
chmod -x share/gamedir/scripts/dedicated_control_ranking.py
chmod -x share/gamedir/scripts/portalocker.py
chmod +x share/gamedir/cfg/*.py
rm share/gamedir/promode/*/.directory


%build
%cmake -DDEBUG=OFF -DHAWKNL_BUILTIN=OFF -DBREAKPAD=OFF -DSYSTEM_DATA_DIR=%{_datadir}
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/OpenLieroX
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}
cp -pr share/gamedir/* $RPM_BUILD_ROOT%{_datadir}/OpenLieroX
install -p -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 share/OpenLieroX.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: http://www.openlierox.net/forum/index.php/topic,15702.0.html
SentUpstream: 2014-09-25
-->
<application>
  <id type="desktop">openlierox.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Sidescrolling shooter where you control worms armed with a range of weapons</summary>
  <description>
    <p>
      Open Lierox is a side scrolling multiplayer shooter where you control a tiny worm
      that is armed with a range of weapons such as a rocket launcher, shotguns and ninja
      stars.
      Typical gameplay is a deathmatch style where you try to rack up as many kills
      of the other players in a set amount of time.
    </p>
  </description>
  <url type="homepage">http://openlierox.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://www.openlierox.net/official/screenshots/olx11.png</screenshot>
    <screenshot>http://www.openlierox.net/official/screenshots/olx3.png</screenshot>
    <screenshot>http://www.openlierox.net/official/screenshots/olx1.png</screenshot>
  </screenshots>
</application>
EOF

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc README.fedora doc/original_lx_docs/*
%license COPYING.LIB
%{_bindir}/%{name}
%{_datadir}/OpenLieroX
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*


%changelog
* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.58-0.10.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Tue Feb 28 2017 Remi Collet <remi@fedoraproject.org> - 1:0.58-0.9.rc3
- rebuild for new libzip

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.58-0.8.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 20 2016 Hans de Goede <hdegoede@redhat.com> - 1:0.58-0.7.rc3
- Fix FTBFS (rhbz#1307823)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.58-0.6.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.58-0.5.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Remi Collet <remi@fedoraproject.org> - 1:0.58-0.4.rc3
- rebuild for new libzip

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1:0.58-0.3.rc3
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1:0.58-0.2.rc3
- Add an AppData file for the software center

* Fri Jan 16 2015 Hans de Goede <hdegoede@redhat.com> - 1:0.58-0.1.rc3
- 0.59 never left the beta phase and is rather buggy, so most openlierox
  community member play 0.58, downgrade to 0.58 to allow online playing

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-0.20.beta10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-0.19.beta10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 0.59-0.18.beta10
- Rebuild for boost 1.55.0

* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 0.59-0.17.beta10
- rebuild for new libzip

* Mon Aug 05 2013 Hans de Goede <hdegoede@redhat.com> - 0.59-0.16.beta10
- Don't try to build the mmx code on non x86 (ie arm)

* Sun Aug 04 2013 Hans de Goede <hdegoede@redhat.com> - 0.59-0.15.beta10
- Build with compat-lua on f20+
- Fix crash on startup (rhbz#916407)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-0.14.beta10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.59-0.13.beta10
- Rebuild for boost 1.54.0

* Tue Jun 11 2013 Remi Collet <rcollet@redhat.com> - 0.59-0.12.beta10
- rebuild for new GD 2.1.0

* Tue Apr 30 2013 Jon Ciesla <limburgher@gmail.com> - 0.59-0.11.beta10
- Drop desktop vendor tag.

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.59-0.10.beta10
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.59-0.9.beta10
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Hans de Goede <hdegoede@redhat.com> - 0.59-0.8.beta10
- Rebuilt for new boost

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-0.7.beta10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Hans de Goede <hdegoede@redhat.com> - 0.59-0.6.beta10
- Add BuildRequires: binutils-static for Static Library Packaging Guidelines
  adherence (rhbz#818911)

* Fri Apr 20 2012 Hans de Goede <hdegoede@redhat.com> - 0.59-0.5.beta10
- New upstream release 0.59-beta10

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-0.4.beta9
- Rebuilt for c++ ABI breakage

* Sat Feb 04 2012 Remi Collet <remi@fedoraproject.org> - 0.59-0.3.beta9
- rebuild for new libzip

* Thu Jan 19 2012 Hans de Goede <hdegoede@redhat.com> - 0.59-0.2.beta9
- Drop always_inline macro it is not used anywhere and is causing compilation
  issues with recent boost versions (also see rhbz#781859)

* Sun Jan 15 2012 Hans de Goede <hdegoede@redhat.com> - 0.59-0.1.beta9
- New upstream release 0.59-beta9
- Fix building with gcc-4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-0.17.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-0.16.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.57-0.15.beta8
- recompiling .py files against Python 2.7 (rhbz#623342)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-0.14.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Hans de Goede <hdegoede@redhat.com> 0.57-0.13.beta8
- Fix building with bash 4.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-0.12.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.57-0.11.beta8
- Rebuild for Python 2.6

* Mon Oct 20 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.10.beta8
- New upstream release 0.57beta8

* Sun Mar 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.9.beta5
- New upstream release 0.57beta5

* Mon Feb 25 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.8.beta4
- New upstream release 0.57beta4

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.57-0.7.beta3
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.6.beta3
- Rebuild for buildId

* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.5.beta3
- New upstream release 0.57beta3
- Update License tag for new Licensing Guidelines compliance

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.57-0.4.beta2
- Rebuild against SDL_gfx 2.0.16.

* Fri Apr 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.3.beta2
- New upstream release 0.57beta2

* Thu Mar 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.2.beta1
- Various specfile fixes from review (bz 232071)
- Source instead of execute the bash scripts to avoid umask problems

* Mon Mar 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.1.beta1
- Initial Fedora Extras package
